var laydate;
var upload;
var name = localStorage.getItem('name');
var year = localStorage.getItem('year');
layui.use(['table', 'layer', 'laydate', 'jquery', 'form', 'upload'], function () {
    var table = layui.table;
    laydate = layui.laydate;
    upload = layui.upload;
    let form = layui.form;
    //渲染table
    table.render({
        elem: '#demo'
        , url: ctxPath + '/career/getPhysicalInfoForOne' //数据接口
        , method: 'post' //方式默认是get
        , toolbar: 'default' //开启工具栏，此处显示默认图标，可以自定义模板，详见文档
        , where: {
            personName:name,
            physicalTime:year
        } //post请求必须加where ，post请求需要的参数
        , cellMinWidth: 80
        , cols: [[ //表头
            {field: 'number', width:100,title: '序号', align: 'center', type: 'numbers'}
            , {field: 'personName',width: 120, align: 'center', title: '姓名'}
            , {field: 'sex', width: 80, align: 'center', title: '性别'}
            , {field: 'age', width: 80, align: 'center', title: '年龄'}
            , {field: 'unit', width: 120, align: 'center', title: '部门'}
            , {field: 'postName', width: 100, align: 'center', title: '岗位'}
            , {field: 'personType',width: 150, align: 'center', title: '体检类别'}
            , {field: 'checkExceptionResult', align: 'center', title: '检查所见异常结果'}
            , {field: 'conclusion', width: 180, align: 'center', title: '结论'}
            , {field: 'suggest', width: 220, align: 'center', title: '建议'}
            ,{field: 'status', width : 100,title: '状态',templet:function(res){
                    switch (res.status) {
                        case '正常':
                            return '<span style="color:green;">正常</span>';
                        case '异常':
                            return '<span style="color:red;">异常</span>';
                        case '调岗':
                            return '<span style="color:blue;">调岗</span>';
                        case '复查':
                            return '<span style="color:orange;">复查</span>';
                        default:
                            return "";
                    }
                }}
        ]]
        , id: 'menuTable'
        , page: true //开启分页
        , loading: true //数据加载中。。。
        , limits: [5, 10, 20]  //一页选择显示3,5或10条数据
        , limit: 10  //一页显示5条数据
        , response: {
            statusCode: 200 //规定成功的状态码，默认：0
        }, parseData: function (res) { //将原始数据解析成 table 组件所规定的数据，res为从url中get到的数据
            let result;
            if (res.data !== '' && res.data != null && res.data !== "null") {
                if (this.page.curr) {
                    result = res.data.slice(this.limit * (this.page.curr - 1), this.limit * this.page.curr);
                } else {
                    result = res.data.slice(0, this.limit);
                }
            }
            return {
                "code": res.code, //解析接口状态
                "msg": res.msg, //解析提示文本
                "count": res.count, //解析数据长度
                "data": result, //解析数据列表
            };
        },
    });
});
